Subject: [Fwd: [Mipshop] FMIPv6: Mobility Header Link Layer Address Option]

From: Nicolas DICHTEL <[email-masked]>
Date: Tue, 01 Aug 2006 18:17:38 +0200

Hello all,

I insist on this point, but does someone have an answer ?

Regards,
Nicolas

-------- Message original --------
Sujet: 	[Mipshop] Mobility Header Link Layer Address Option
Date: 	Thu, 08 Jun 2006 17:49:02 +0200
De: 	Nicolas DICHTEL <[email-masked]>
Répondre à: 	[email-masked]
Pour: 	[email-masked]

Hi,

sorry for the noise, but I have other questions concerning the MH-LLA 
Option.

1/ About Length of the MH-LLA Option

"Length
      The size of this option in octets not including the Type,
      Length and Option-Code fields."

In RFC 3775, Section 6.2, Length field is describe as follow:
"Option Length

    8-bit unsigned integer, representing the length in octets of the
    mobility option, not including the Option Type and Option Length
    fields."

Why not following the same way for this option (i.e., include the size of
the Option-Code field in the Length field) ?

2/ About alignment

When the LLA size is 6 bytes, what is the required alignment ? Is it 4n+2,
8n+6 ?
And so, what's the purpose of the field Pad0 ? If the LLA size is 12 bytes,
is this field already there ? Is it longer ?

Thanks in advance for your answer,
Nicolas

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 01 Aug 2006 11:14:59 -0700

> the Option-Code field in the Length field) ?

I agree.

> is this field already there ? Is it longer ?

the LLA option has no alignment requirement since the LLA
field is just a string. so the LLA option can start
immediately after the previous option. for padding after
the LLA option, the alignment requirement for the option
that follows the LLA option will decide how much padding
is needed.

Vijay

---

From: Nicolas DICHTEL <[email-masked]>
Date: Tue, 08 Aug 2006 10:58:07 +0200

> that follows the LLA option will decide how much padding
Hmm, I was talking about MH-LLA. Section 6.4.4 says:

                                                     "When LLA size is
   different, the option MUST be aligned appropriately."

And so, what about Pad0 field if LLA size is different from 6 ?

Regards,
Nicolas

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 08 Aug 2006 10:54:52 -0700

> And so, what about Pad0 field if LLA size is different from 6 ?

the pad0 field needs to be removed. not sure why it is there.

Vijay

---

From: <[email-masked]>
Date: Tue, 8 Aug 2006 11:20:12 -0700

>the pad0 field needs to be removed. not sure why it is there.

I think we added it to show how to use the option with LLA=6 bytes.
Agree we can remove it.

So, what's the consensus on LLA-Length field? Current implementations
use it in Proxy Router messages, so they have to change. FNA also uses
it,
so it too has to be updated. 

Perhaps better to define the MH-LLA size in octets?

-Rajeev

---

From: Nicolas DICHTEL <[email-masked]>
Date: Wed, 09 Aug 2006 11:03:30 +0200

> I think we added it to show how to use the option with LLA=6 bytes.
But why padding before LLA field and not after it ?
> Perhaps better to define the MH-LLA size in octets?
MH-LLA size is already in octects, Section 6.4:

            "The Length field is in units of 8 octets, except for the
     Mobility Header Link-Layer Address option, whose Length field
     is in units of octets in accordance with [3], Section 6.2."

And I think LLA option must follow RFC2461 Section 4.6 ...

Nicolas

---

From: <[email-masked]>
Date: Wed, 9 Aug 2006 10:47:24 -0700

Hi Nicolas,
 
>But why padding before LLA field and not after it ?

We should remove it. You can pad after the LLA. The size of the LLA
is determined by the link type, as in 2461.

>MH-LLA size is already in octects, Section 6.4:

Sorry about the confusion. Going back to it, now I am confused
as to what is the issue.. Is it only the use of Pad0 in MH-LLA?

>And I think LLA option must follow RFC2461 Section 4.6 ...

It does, right? Are you referring to 

"Depending on the size of the individual LLA option, appropriate
   padding MUST be used to ensure that the entire option size is a
   multiple of 8 octets." ?

What do we need to do here? 

-Rajeev

---

From: Nicolas DICHTEL <[email-masked]>
Date: Thu, 10 Aug 2006 12:16:39 +0200

Hi Rajeev,

I'm confused too. There was mutiple questions in the last emails ...

1/ About pad0 field in MH-LLA option
-> We can remove it.

2/ About unit of length field in LLA option
-> we must follow RFC2461, the size of the LLA is determined by the link 
type.

3/ About value of length field in MH-LLA option
-> it must follow RFC3775, so it must include size of Option-code field.

4/ About alignment requirement of MH-LLA option
No alignment requirement ?

Hope that clarifies the issue ;-)

Regards,
Nicolas

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 10 Aug 2006 07:18:13 -0700

sounds good to me.

Vijay